### A free/open-source library for quantitative finance

Public Types | Public Member Functions
HongKong Class Reference
Calendars

Hong Kong calendars. More...

`#include <ql/time/calendars/hongkong.hpp>`

Inheritance diagram for HongKong:
[legend]

List of all members.

## Public Types

enum | Market { HKEx }

## Public Member Functions

| HongKong (Market m=HKEx)

## Detailed Description

Hong Kong calendars.

Holidays:

- Saturdays
- Sundays
- New Year's Day, January 1st (possibly moved to Monday)
- Ching Ming Festival, April 5th
- Good Friday
- Easter Monday
- Labor Day, May 1st (possibly moved to Monday)
- SAR Establishment Day, July 1st (possibly moved to Monday)
- National Day, October 1st (possibly moved to Monday)
- Christmas, December 25th
- Boxing Day, December 26th

Other holidays for which no rule is given (data available for 2004-2012 only:)

- Lunar New Year
- Chinese New Year
- Buddha's birthday
- Tuen NG Festival
- Mid-autumn Festival
- Chung Yeung Festival

Data from <http://www.hkex.com.hk>

## Member Enumeration Documentation

enum Market

Enumerator:

  HKEx | Hong Kong stock exchange.